package com.docus.server.archive.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 病案采集任务
 * </p>
 *
 * @author jersey
 * @since 2023-11-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="AfCollectTask对象", description="病案采集任务")
public class AfCollectTask implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id 雪花算法")
    private Long id;

    @ApiModelProperty(value = "病案主键")
    private String patientId;

    @ApiModelProperty(value = "af_archive_detail表id")
    private Long afArchiveDetailId;

    @ApiModelProperty(value = "来源 1护理文书，2 （HIS）电子病历，3 Pacs检查，4心电系统，5手麻系统，6 Lis检验，7临床首页，8长期医嘱， 9临时医嘱，10 省病案统计系统首页，11 扫描首页；")
    private String sysflag;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty(value = "任务耗时")
    private Long consumingTime;

    @ApiModelProperty(value = "任务状态 0：未开始，1:正在采集，2：采集错误，3采集完成,4:作废")
    private String state;

    @ApiModelProperty(value = "同步时间")
    private Date syncTime;

    @ApiModelProperty(value = "最新重新采集时间")
    private Date recollectTime;

    @ApiModelProperty(value = "最新重新采集人")
    private String recollectName;

    @ApiModelProperty(value = "备注")
    private String remark;

    @TableField("pResult")
    private String presult;

    @ApiModelProperty(value = "报告唯一单号")
    @TableField("C1")
    private String c1;

    @ApiModelProperty(value = "文件名称")
    @TableField("C2")
    private String c2;

    @ApiModelProperty(value = "记账号")
    @TableField("C3")
    private String c3;

    @TableField("C4")
    private String c4;

    @TableField("C5")
    private String c5;

    @TableField("C6")
    private String c6;

    @TableField("C7")
    private String c7;

    @TableField("C8")
    private String c8;

    @TableField("C9")
    private String c9;

    @ApiModelProperty(value = "采集器完成任务时的采集器key")
    @TableField("C10")
    private String c10;

    @TableField("N1")
    private Double n1;

    @TableField("N2")
    private Double n2;

    @TableField("N3")
    private Double n3;


    private Double n4;

    private Double n5;


    private Date t1;


    private Date t2;


    private Date t3;


    private Date t4;


    private Date t5;

    private Date t6;

    private String c11;


    private String c12;

    private String c13;


    private String c14;


    private String c15;


    private String c16;

    private String c17;

    private String c18;


    private String c19;


    private String c20;

    private Date createTime;


}
